import unittest
from urlchecker_db import LogDB
from urlchecker_status import logStatus


class UrlCheckerStatusTestCase(unittest.TestCase):
    def setUp(self):
        self.db = LogDB(":memory:")
        self.db.createTables()

    def test_logStatus_insert(self):
        result = logStatus(self.db, "foo")
        assert self.db.Status.select().count() == 1
        assert self.db.Status.get(self.db.Status.text == "foo").id == result

    def test_logStatus_insertTwice(self):
        result1 = logStatus(self.db, "foo")
        result2 = logStatus(self.db, "foo")
        assert self.db.Status.select().count() == 2
        assert result1 < result2


def suite():
    suite = unittest.TestSuite()
    suite.addTest(unittest.makeSuite(UrlCheckerStatusTestCase))
    return suite


if __name__ == "__main__":
    unittest.main(defaultTest="suite")
