import click
import sys
from urlchecker_bot import create_bot


@click.group()
def runUrlChecker():
    pass


@runUrlChecker.command("bot", short_help="Runs url checker bot.")
@click.option("--url", "-u", help="The url to check.")
@click.option("--domain", "-m", help="The domain to check.")
@click.option("--sqlite", "-s", help="The path of the sqlite DB.")
@click.argument("configuration")
def runWebBot(url, domain, sqlite, configuration):

    # click.echo("Running url checker bot")
    mapping = {}
    if url:
        mapping["URL"] = url
    if domain:
        mapping["DOMAIN"] = url
    if sqlite:
        mapping["SQLITE"] = sqlite
    bot = create_bot(cfgfile=configuration, mapping=mapping)
    return bot.run()


if __name__ == "__main__":
    sys.exit(runUrlChecker())
